curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/tiktok/top-search \
--header 'Content-Type: application/json' \
--data '
{
"query": "cooking",
"cursor": "0"
}
'import requests
url = "https://app.sideshift.app/api/v1/scrape/tiktok/top-search"
payload = {
"query": "cooking",
"cursor": "0"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({query: 'cooking', cursor: '0'})
};
fetch('https://app.sideshift.app/api/v1/scrape/tiktok/top-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cursor": "20",
"has_more": true,
"publish_time": 0,
"query": "cooking",
"sort_type": 0,
"hashtags": [
{
"cover_url": "https://p16-amd-va.tiktokcdn.com/obj/musically-maliva-obj/bbbcb935f04337b7e6bdb05ee1b9f5e5.jpeg",
"description": null,
"hashtag_id": "18973",
"hashtag_link": "https://www.tiktok.com/tag/cooking",
"is_challenge": false,
"is_commerce": false,
"is_pgc_show": false,
"is_strong_music": false,
"name": "cooking",
"post_count": 18632328,
"type": 2,
"view_count": 537338240790
}
],
"items": [
{
"content_type": "video",
"create_time": "2026-08-07T17:28:52.000Z",
"desc": "KITCHEN TELEPHONE EP5 - oKoNoMiYaKi… if you have been following along, then you know today is my turn to take a few ingredients from @Sarah recipe and turn it into something new! #cooking #Recipe #quickrecipes #lunchideas #EasyRecipes",
"desc_language": null,
"id": "7671342896217361678",
"images": null,
"is_ad": false,
"is_eligible_for_commission": null,
"is_paid_partnership": null,
"is_top": 0,
"region": "US",
"shop_product_url": null,
"url": "https://www.tiktok.com/@iankyo/video/7671342896217361678",
"author": {
"events": null,
"language": null,
"nickname": "Ian Fujimoto",
"region": "US",
"sec_uid": null,
"short_id": null,
"signature": null,
"social_info": null,
"uid": "6900279311132328966",
"unique_id": "iankyo",
"avatar_larger": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
},
"avatar_medium": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
},
"avatar_thumb": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/da6c5bb9f1629b4f5c5fdd681e424544~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
}
},
"music": {
"album": "summer like this",
"author": "ktmelodies",
"duration": 60,
"id": "7465426882822883344",
"id_str": "7465426882822883344",
"is_original": false,
"is_original_sound": false,
"mid": "7465426882822883344",
"owner_nickname": "ktmelodies",
"title": "summer like this",
"user_count": null,
"cover_large": {
"height": null,
"uri": "https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg"
]
},
"cover_medium": {
"height": null,
"uri": "https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg"
]
},
"cover_thumb": {
"height": null,
"uri": "https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common.tiktokcdn-us.com/tos-alisg-v-2774/oYwEhwYAWiZ1B5iFMzr6AECqjAKAUpPACAaR5~tplv-tiktokx-cropcenter:720:720.jpeg"
]
}
},
"statistics": {
"aweme_id": "7671342896217361678",
"collect_count": 541,
"comment_count": 46,
"digg_count": 13191,
"download_count": 10,
"forward_count": null,
"lose_comment_count": null,
"lose_count": null,
"play_count": 53890,
"repost_count": null,
"share_count": 64,
"whatsapp_share_count": null
},
"video": {
"data_size": 6317860,
"duration": 45,
"height": null,
"watermark_data_size": 5743899,
"width": null,
"cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/ooNA5BfitwOd1p2JYIBrIgACATEOiBCABzBwF2~tplv-tiktokx-cropcenter:500:800.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/ooNA5BfitwOd1p2JYIBrIgACATEOiBCABzBwF2~tplv-tiktokx-cropcenter:500:800.jpeg"
]
},
"download_addr": {
"height": null,
"uri": "https://v16m.tiktokcdn-us.com/f8b617a4f68f1263e5dd15aabb315ab9/6a76baca/video/tos/useast5/tos-useast5-ve-0068c001-tx/oIRBWFDjg1TflkdAhqtNA4S2yeQEIKvNDhFYEg/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v16m.tiktokcdn-us.com/f8b617a4f68f1263e5dd15aabb315ab9/6a76baca/video/tos/useast5/tos-useast5-ve-0068c001-tx/oIRBWFDjg1TflkdAhqtNA4S2yeQEIKvNDhFYEg/"
]
},
"dynamic_cover": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/ooNA5BfitwOd1p2JYIBrIgACATEOiBCABzBwF2~tplv-tiktokx-origin.image",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/ooNA5BfitwOd1p2JYIBrIgACATEOiBCABzBwF2~tplv-tiktokx-origin.image"
]
},
"origin_cover": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/okMrIpcAJBAdFaxYlwiyBI1AVC3wsAuOImfF2i~tplv-tiktokx-shrink-aq:360:360:q75.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/okMrIpcAJBAdFaxYlwiyBI1AVC3wsAuOImfF2i~tplv-tiktokx-shrink-aq:360:360:q75.webp"
]
},
"play_addr": {
"height": null,
"uri": "https://v16m.tiktokcdn-us.com/27621cdcc8c82451c225fa46d9029a8b/6a76baca/video/tos/useast5/tos-useast5-pve-0068-tx/o8w1DNfDSQkgRvqEAKq4LdYhsBeAIEWDFgMTIg/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v16m.tiktokcdn-us.com/27621cdcc8c82451c225fa46d9029a8b/6a76baca/video/tos/useast5/tos-useast5-pve-0068-tx/o8w1DNfDSQkgRvqEAKq4LdYhsBeAIEWDFgMTIg/"
]
}
}
}
],
"users": [
{
"account_creation_date": null,
"avatar_medium": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/7310587793867014186~tplv-tiktokx-cropcenter-q:720:720:q70.webp",
"avatar_thumb": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/7310587793867014186~tplv-tiktokx-cropcenter-q:100:100:q70.webp",
"biography": "[email redacted]\n\n👇Lynja’s Salts & Sugar👇",
"content_count": 507,
"display_name": "Lynja",
"follower_count": 22235194,
"following_count": 61,
"instagram_id": "cookingwithlynja",
"is_ad_virtual": false,
"is_under_18": false,
"location": null,
"privacy_status": "public",
"profile_id": "6834290048143049733",
"profile_image": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/7310587793867014186~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp",
"profile_link": "https://www.tiktok.com/@cookingwithlynja",
"sec_uid": "MS4wLjABAAAAEuh22qcjCA4J9HIIBYyqYqu2sMIs57Y-iQZhMeCAg_TWmWYAEAwTLI7zm8Q6z41d",
"total_likes": 361118302,
"total_reactions": 361118302,
"twitter_id": null,
"username": "cookingwithlynja",
"verification_status": true,
"youtube_channel_id": "UCjvGPQTRr2eIEhthL5y31VQ",
"youtube_channel_title": "Cooking With Lynja"
}
]
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}TikTok’s Top tab — best-matching videos, plus the creators and hashtags ranked beside them. Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
Body
Search term
Pagination cursor
ISO-2 region code to search from
Recency window: all-time, yesterday, this-week, this-month, last-3-months, last-6-months
Ranking: relevance, most-liked, date-posted
Numeric recency code — superseded by date_posted when both are sent
Numeric sort code — superseded by sort_by when both are sent
Response
Completed lookup. 1 SideShift credit.
TikTok platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes